libwpg: WPGInternalInputStream Class Reference documentation

# WPGInternalInputStream Class Reference

`#include <WPGInternalStream.h>`

List of all members.

## Public Member Functions
| WPGInternalInputStream (const unsigned char *data, const size_t size)
virtual | ~WPGInternalInputStream ()
virtual bool | isOLEStream ()
virtual WPXInputStream * | getDocumentOLEStream ()
virtual const uint8_t * | read (size_t numBytes, size_t &numBytesRead)
virtual int | seek (long offset, WPX_SEEK_TYPE seekType)
virtual long | tell ()
virtual bool | atEOS ()
## Private Member Functions
| WPGInternalInputStream (const WPGInternalInputStream &)
WPGInternalInputStream & | operator= (const WPGInternalInputStream &)
## Private Attributes
long | m_offset
const size_t | m_size
const unsigned char * | m_data
unsigned char * | m_tmpBuf

## Constructor & Destructor Documentation

WPGInternalInputStream::WPGInternalInputStream | ( | const unsigned char * | data,
|  | const size_t | size |
| ) |  |  |

WPGInternalInputStream::~WPGInternalInputStream | ( |  | ) | `[virtual]`

WPGInternalInputStream::WPGInternalInputStream | ( | const WPGInternalInputStream & |  | ) | `[private]`

## Member Function Documentation

virtual bool WPGInternalInputStream::isOLEStream | ( |  | ) | `[inline, virtual]`

virtual WPXInputStream* WPGInternalInputStream::getDocumentOLEStream | ( |  | ) | `[inline, virtual]`

const uint8_t * WPGInternalInputStream::read | ( | size_t | numBytes,
|  | size_t & | numBytesRead |
| ) |  |  | `[virtual]`

int WPGInternalInputStream::seek | ( | long | offset,
|  | WPX_SEEK_TYPE | seekType |
| ) |  |  | `[virtual]`

long WPGInternalInputStream::tell | ( |  | ) | `[virtual]`

bool WPGInternalInputStream::atEOS | ( |  | ) | `[virtual]`

WPGInternalInputStream& WPGInternalInputStream::operator= | ( | const WPGInternalInputStream & |  | ) | `[private]`

## Member Data Documentation

long WPGInternalInputStream::m_offset`[private]`

Referenced by atEOS(), read(), seek(), and tell().

const size_t WPGInternalInputStream::m_size`[private]`

Referenced by atEOS(), read(), and seek().

const unsigned char* WPGInternalInputStream::m_data`[private]`

Referenced by read().

unsigned char* WPGInternalInputStream::m_tmpBuf`[private]`

Referenced by read(), and ~WPGInternalInputStream().

The documentation for this class was generated from the following files:

- WPGInternalStream.h
- WPGInternalStream.cpp